Purchase or gift standard items
Purchases or gifts standard items in batches using an item, maximum price, and recipient trade URL.
/api/market/developer/purchase/ordersPurchases or gifts standard items in batches using an item, maximum price, and recipient trade URL.
- Standard items: Stickers, weapon cases, music kits, tools, sprays, passes, collectibles, patches, and gifts
- Per-request limit: 20
goods_idvalues and 200 items pergoods_id
If pay_method is omitted, BUFF uses funds in this order: BUFF Balance, Margin, then Authorized Alipay Balance. Only items whose offers are created by sellers are supported. goods_id takes precedence over market_hash_name; trade_url takes precedence over steamid. If trade_url is omitted, BUFF uses the first trade link bound to the current account.
Authorization
bearer BUFF developer API token. Send it as Authorization: Bearer <token>.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/market/developer/purchase/orders" \ -H "Content-Type: application/json" \ -d '{ "game": "cs2", "items": [ { "goods_id": 209976, "max_price": 100, "quantity": 1 }, { "goods_id": 209978, "max_price": 100, "quantity": 1 } ] }'{ "result": { "35893": { "success_num": 4, "total_cost": 119.2, "bill_order_ids": [ "250805T1093434040", "250805T1093434041", "250805T1093434042", "250805T1093434043" ] }, "38150": { "success_num": 1, "total_cost": 26, "bill_order_ids": [ "250805T1093434039" ] } }, "buff_balance": 1234.56}